×
Kunena 5.1.15 Released (27 Oct 2019)

The Kunena team has announce the arrival of Kunena 5.1.15 [K 5.1.15] which is now available for download as a native Joomla extension for J! 3.9.x. This version addresses most of the issues that were discovered in K 5.1 and issues discovered during the development stages of K 5.1.

× Themen, die in diesen Bereich verschoben wurden, gelten allgemein als beendet. Falls es dazu noch zusätzliche Fragen gibt, können diese zwar noch gestellt werden, aber diese alten Themen sollten auf keinen Fall wieder auferstehen, um neue Probleme zu erörtern.
Eröffnet dazu bitte ein eigenes neues Thema.

Merged IE8 und der leidige BBCode-Editor

More
7 years 1 month ago - 7 years 1 month ago #1 by bully
Hallo,

ja, ich weiß, dass dieses Thema "bbCode-Editor wird geladen..." schon oft behandelt wurde, und ich habe viel darüber gelesen. Doch ich glaube, dass sich mein Problem doch von anderen unterscheidet, da es NUR bei Usern mit dem IE8 auftritt.

Hier mein Konfigurationsbericht:

This message contains confidential information

Database collation check: The collation of your table fields are correct

Legacy mode: Disabled | Joomla! SEF: Disabled | Joomla! SEF rewrite: Enabled | FTP layer: Disabled |

This message contains confidential information
htaccess: Exists | PHP environment: Max execution time: 60 seconds | Max execution memory: 256M | Max file upload: 20M

Kunena menu details:

Warning: Spoiler! [ Click to expand ]

Joomla default template details : allrounder-j1.6 | author: Juergen Koller | version: 1.4 | creationdate: Apr 2012

Kunena default template details : Blue Eagle 2.0 | author: Kunena Team | version: 2.0.2 | creationdate: 2012-09-02

Kunena version detailed: Kunena 2.0.2 | 2012-09-02 [ Botschafter ]
| Kunena detailed configuration:

Warning: Spoiler! [ Click to expand ]
| Kunena integration settings:
Warning: Spoiler! [ Click to expand ]
| Joomla! detailed language files installed:
Warning: Spoiler! [ Click to expand ]

Third-party components: UddeIM 2.7

Third-party SEF components: sh404sef 3.6.4.1481

Plugins: None

Modules: Kunena Latest 2.0.2 | Kunena Stats 2.0.2 | Kunena Login 2.0.2 | Kunena Search 2.0.2


Seit dem Update auf 2.0.2 tritt der Fehler auf, wie gesagt, nur unter IE8, nicht unter Firefox/Chrome/Opera oder IE9/10.

Ich weiß auch, dass es passiert, wenn unterschiedliche JavaScript-Frameworks aufeinandertreffen. Auf meiner Site ist das jquery 1.7.2., welches von meinem Template (Allrounder 1.6 von www.lernvid.com ) verwendet wird. Es ist aber mit der noconflict-Methode programmiert, und ich habe weiters gelesen, dass motools kein Problem mit jquery haben SOLLTE.

Und nachdem dieser Hinweis auch garantiert kommt: sh404SEF ist für Kunena deaktiviert, in den neuen Versionen von sh404sef kann man einstellen, ob das Komponentenplugin oder die joomlaeigene SEF-Routine verwendet werden soll.

Dennoch wäre ich für jeden Tipp dankbar, den störrischen IE8 auch zum Laden des bbCode-Editors zu bewegen.

Vielen Dank für jeden Hinweis!

lg
andi
Last edit: 7 years 1 month ago by bully. Reason: Abonnieren angehakt

Please Log in or Create an account to join the conversation.

More
7 years 1 month ago - 6 years 11 months ago #2 by rich
Mit dem Allrounder Template dürfte es keine Probleme geben (zumindest sind mir keine bekannt). Allerdings.. unmöglich ist nichs. Das trifft benso auf sh404sef zu. Hast du es schon mal ohne diese beiden getestet?
Mir ist aber auch aufgefallen, dass du einen falsch angelegten Menülink in deinem Forum verwendest. Es könnte eventuell sein, dass es daran liegt.

Ändere im Hauptmenü bei dem Link „Zum Forum“ den Menütyp zu „Menüeintrag-Alias“.
www.kunena.org/forum/36-German/125575-ku...cht-angezeigt#135888
Last edit: 6 years 11 months ago by rich.
The following user(s) said Thank You: bully

Please Log in or Create an account to join the conversation.

More
7 years 1 month ago #3 by bully
Hallo rich,

danke für deine Antwort. Ich habe es versucht, aber leider -> kein Erfolg. Ich habe in deinem Link auch gelesen, dass es das Modul Kunenamenü ab 2.0 nicht mehr gibt und es ein "Überbleibsel" von 1.7 ist - ich habe das auch gleich deaktiviert, aber auch das brachte keine Änderung. Die Deaktivierung von sh404SEF hat auch nichts geholfen, das andere Template probiere ich heute Nacht, wenn wenige User online sind, da ich kein zweites angepasstes Template habe. Aber für einen kurzzeitigen Test kann ich auch auf ein Standard-Template zurückgreifen.

Was mich so verwirrt ist, dass es nur unter IE8 auftritt. Und - um es laienhaft zu sagen - nach dem Auftreten des bbCode-Fehlers ständig MoTools-Fehler liefert, auch wenn man ganz was anderes macht. Wie wenn die Motools deaktiviert wären......

lg
andi

Please Log in or Create an account to join the conversation.

More
7 years 1 month ago #4 by rich
Für welche Erweitgterungen ist die piwik.js? Deaktiviere diese bitte ebenfalls, wenn du heut Nacht testen wirst.

Please Log in or Create an account to join the conversation.

More
7 years 1 month ago #5 by bully
Hallo rich,

so. Tests abgeschlossen.

piwik.js (ist von einem OpenSource Analytics - Programm) deaktiviert, keine Änderung.
StandardTemplate auf Beez2 geändert - Tataaaaaaaa! Alles flutscht, auch unter IE8. Es ist das Template.

Ich nehme also an, meine einzige Chance ist, ein anderes Template zu verwenden, möglichst einfach, ohne Javascript. Das ist ein kompletter Mist. ich habe viel Energie in die Anpassung des Templates gesteckt. Außerdem möchte ich gerne ein dynamisches Layout haben.

Na ja, shit happens. Ich danke dir aber dennoch für deine Hilfe. Und vielleicht hast ja noch einen Tipp für mich.

lg
andi

Please Log in or Create an account to join the conversation.

More
7 years 1 month ago - 7 years 1 month ago #6 by rich
Hast du irgendwann bisschen Zeit um etwas zu testen? Ich möchte gerne etwas probieren, was eventuell dein Problem lösen könnte. Dazu habe ich auf meinen Testserver einen Zugang für dich eingerichtet und auch das Allrounder Template installiert. Da mein Betriebsystem Ubuntu ist, kann ich leider nicht mit IE8 testen, ob der Editor funktioniert.

Nachtrag:
Oder du testest selbst, ob es mit diesem Plugin funktioniert.
www.joomlabamboo.com/joomla-extensions/j...joomla-jquery-plugin
Last edit: 7 years 1 month ago by rich.
The following user(s) said Thank You: bully

Please Log in or Create an account to join the conversation.

More
7 years 1 month ago #7 by bully
Hallo rich,

heute abend hätte ich Zeit. Vielen Dank für deine Mühen. Ich werde es zuerst selbst testen, und wenn es nicht klappt, auf dein Angebot zurückkommen!

lg
andi

Please Log in or Create an account to join the conversation.

More
7 years 1 month ago - 7 years 1 month ago #8 by bully
Hallo rich,

ich habe es jetzt getestet. Kein Erfolg, auch mit mehreren Einstellungen. Ich habe auch das Motools-Handling aktiviert und MotoolsCore "removen" lassen. Aber ich denke es ist besser, ich teste mal auf deinem Testsystem. Wie komme ich zum Zugang?

Vielen herzlichen Dank !

lg
andi
Last edit: 7 years 1 month ago by bully.

Please Log in or Create an account to join the conversation.

More
7 years 1 month ago - 7 years 1 month ago #9 by rich
Schreib einfach einen Beitrag, damit du grundsätzlich sehen kannst, ob der Editor vorhanden ist. Momentan sind es die Standardeinstellungen.
Passwort und Benutzer sind jeweils

Nachtrag: Zugangsdaten wieder entfernt
Last edit: 7 years 1 month ago by rich.

Please Log in or Create an account to join the conversation.

More
7 years 1 month ago - 7 years 1 month ago #10 by bully
Same problem...

Auch in deinem Testforum passiert das gleiche unter IE8. Hab auch gleich einen Screenshot im Testbeitrag angeschlossen, da sieht man es ganz gut...

lg
andi
Last edit: 7 years 1 month ago by bully.

Please Log in or Create an account to join the conversation.

  • Not Allowed: to create new topic.
  • Not Allowed: to reply.
  • Not Allowed: to edit your message.
Time to create page: 0.129 seconds